%define release 21
%define version 1.1.0

Summary: Koozali SME Server Nextcloud configuration
Name: smeserver-nextcloud
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-nextcloud-1.1.0.patch0.patch
Patch1: smeserver-nextcloud-1.1.0.bz10556.patch
Patch2: smeserver-nextcloud-1.1.0-bz10560-logrotate.patch
Patch3: smeserver-nextcloud-1.1.0-bz10558-logincredentials.patch
Patch4: smeserver-nextcloud-1.1.0-bz10559-shares.patch
Patch5: smeserver-nextcloud-1.1.0-bz10557-ibays_folder.patch
Patch6: smeserver-nextcloud-1.1.0-bz10560-signal-event-hang.patch
Patch7: smeserver-nextcloud-1.1.0-bz10564-improve-shares.patch
Patch8: smeserver-nextcloud-1.1.0-bz10564-fixIncludes-longUpdate.patch
Patch9: smeserver-nextcloud-1.1.0-bz10608-fail2ban.patch
Patch10: smeserver-nextcloud-1.1.0-bz10596-fix-update.patch
Patch11: smeserver-nextcloud-1.1.0-bz10695-memory-limit.patch
Patch12: smeserver-nextcloud-1.1.0-bz10709-well-known.patch
Patch13: smeserver-nextcloud-1.1.0-bz10711-occ-command.patch
Patch14: smeserver-nextcloud-1.1.0-bz10710-dbcolumnupdate.patch
Patch15: smeserver-nextcloud-1.1.0-bz10728-OCC512.patch
Patch16: smeserver-nextcloud-1.1.0.bz10852.php72.patch
Patch17: smeserver-nextcloud-1.1.0.bz11003-php73.patch
Patch18: smeserver-nextcloud-1.1.0.bz11083-phpbasedir.patch
Patch19: smeserver-nextcloud-1.1.0.bz11084-idletimeout.patch
Patch20: smeserver-nextcloud-1.1.0-bz10885-dedicateddomain.patch 

BuildArch: noarch
URL: https://www.nextcloud.com 

BuildRequires: e-smith-devtools

Requires: nextcloud >= 13.0.1
Requires: e-smith-apache
Requires: e-smith-mysql
Requires: smeserver-webapps-common
Requires: smeserver-php-fpm >= 0.1.1-3
Requires: samba-client
Requires: perl-JSON
Requires: php73-php-smbclient
Requires: php73-php-opcache
Requires: php73-php-pecl-apcu
Requires: php73-php-pecl-inotify
Requires: php73-php-pecl-zip
Requires: php73-php-pecl-imagick
Requires: php73-php-gmp


%description
Koozali SME Server Nextcloud files and configuration.


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
touch root/etc/e-smith/templates/etc/opt/remi/php72/php.d/20-opcache.ini/template-begin
%patch17 -p1
touch root/etc/e-smith/templates/etc/opt/remi/php73/php.d/20-opcache.ini/template-begin
%patch18 -p1
%patch19 -p1
%patch20 -p1

%build
perl createlinks

%install
rm -rf %{buildroot}
mkdir -p root/var/log/php/nextcloud
(cd root; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} \
 --dir /var/log/php/nextcloud  'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud  'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/session 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud/data 'attr(0755,www,www)' \
 --file /usr/bin/OCC 'attr(0755,root,root)'\
 > %{name}-%{version}-filelist

cat %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING


%changelog
* Sun Nov 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-21.sme
- use php73-fpm [SME: 11003]
- Require php-gmp for Nextcloud 19 and newer [SME: 11004]
- add phpbasedir support so you can add individual access to dir or files [SME: 11083]
  simply use nextcloud PHPBaseDir property
- increase FastCgiExternalServer php pool timeout to 300 [SME: 11084]
- ease use of a dedicated domaine with https [SME: 10885]

* Mon Jan 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-16.sme
- fix missing Requirement and template-begins  [SME: 10852]

* Mon Dec 16 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-15.sme
- use php72-fpm instead of php71-fpm [SME: 10852]

* Sun Feb 17 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-14.sme
- fix 512MB error on events [SME: 10728]
- add requirement for inotify support [SME: 10733]

* Wed Jan 16 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-13.sme
- fix /.well-known check [SME: 10709]
- created a OCC command you can call as root as if you were the right user. [SME: 10711]
- night cron to fix db [SME: 10710 ]

* Mon Jan 07 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-11.sme
- increase memory limit to new default from 128M to 512M [SME: 10695]
  add property to nextcloud db key MemoryLimit to set to local value if needed.

* Thu Dec 20 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-10.sme
- fix /var/log/php/nextcloud/ is missing [SME: 10601]

* Wed Dec 19 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-9.sme
- fix timeout on update [SME: 10596]

* Wed Jul 04 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-8.sme
- fix wrong filter name for fail2ban jail.conf  [SME: 10608]

* Wed Apr 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-7.sme
- fix long update [SME: 10564]
- fix IncludeIbay not working.

* Wed Apr 11 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- fix shares not correctly handled [SME: 10564]
- improve shares support
- reload file cache after creation of ibays folder, so it displays to users.
- improve output to message log

* Mon Apr 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-5.sme
- fix signal-event nextcloud-update hang [SME: 10560]

* Sun Apr 08 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-4.sme
- fix wrong logrotate option [SME: 10560]
- change password storage mode for smb share to allow access from portable devices [SME: 10558]
- create the "ibays" main folder to mount all ibays in every user nextcloud space [SME: 10557]
- add Shared folders in nextcloud under the ibays folder [SME: 10559]

* Sat Apr 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-3.sme
- tidying templates, set cron update
- fix bad folder name for ibays [SME: 10556]

* Fri Mar 30 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- initial release

